#!/usr/bin/perl -w

use Test::More;
use Fb::IO qw(doFtest);

sub main {
	ok( doFtest("t/ftests/tokenmgr/simplelogin") , "tokenmgr: Simple login" );
	ok( doFtest("t/ftests/tokenmgr/login-principal") , "tokenmgr: Login with principal given" );
	ok( doFtest("t/ftests/tokenmgr/session") , "tokenmgr -S" );
	ok( doFtest("t/ftests/tokenmgr/session-fail") , "tokenmgr -S fail" );
	ok( doFtest("t/ftests/tokenmgr/setuser-session") , "tokenmgr: setuser-session" );
	ok( doFtest("t/ftests/tokenmgr/host-keytab") , "tokenmgr: host-keytab" );
	ok( doFtest("t/ftests/tokenmgr/setuser-nopag-reauth") , "tokenmgr: setuser-nopag-reauth" );
	done_testing();
}

main();
